Skip to content

ExerciseChoiceRequest

Defined in: packages/react/src/hooks/useExerciseChoice.ts:19

Exercise choice request parameters

optional actAs: string[]

Defined in: packages/react/src/hooks/useExerciseChoice.ts:31

Parties that will act as the choice executor


choiceArgument: Record<string, unknown>

Defined in: packages/react/src/hooks/useExerciseChoice.ts:27

Choice argument (the payload for the choice)


choiceName: string

Defined in: packages/react/src/hooks/useExerciseChoice.ts:25

Choice name to exercise


optional commandId: string

Defined in: packages/react/src/hooks/useExerciseChoice.ts:29

Unique command identifier (auto-generated if not provided)


contractId: string

Defined in: packages/react/src/hooks/useExerciseChoice.ts:21

Contract ID to exercise the choice on


optional readAs: string[]

Defined in: packages/react/src/hooks/useExerciseChoice.ts:33

Parties that should have read access


optional synchronizerId: string

Defined in: packages/react/src/hooks/useExerciseChoice.ts:35

Synchronizer to use (auto-selected if not provided)


templateId: string

Defined in: packages/react/src/hooks/useExerciseChoice.ts:23

Template ID (e.g., ‘Splice.Wallet.Payment:PaymentRequest’)